<template>
    <div>
        <v-list>
            <v-list-item>
                <img class="img-hexagon" v-if="url" v-lazy="lazyImg.imgObj" alt />
                <img class="img-hexagon" v-else :src="lazyImg.imgObj.error" alt />
            </v-list-item>
            <v-list-item>
                <span style="font-size: 8px;">{{ name.length > 0 ? name.slice(0, 20) : '' }}</span>
                <Hexagon></Hexagon>
            </v-list-item>
        </v-list>
    </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';
import Hexagon from '@/assets/components/hexagon.vue';
import { BASE_URL, IMG_URL_ERROR, IMG_URL_LOADING } from '@/config/utilsConst';

@Component({ components: { Hexagon } })
export default class HexCheckBox extends Vue {
    @Prop({ default: '' })
    readonly name!: string;
    @Prop({ default: '' })
    readonly preview!: string;
    url = this.preview;

    lazyImg = {
        imgObj: {
            src: this.preview,
            error: BASE_URL + IMG_URL_ERROR,
            loading: BASE_URL + IMG_URL_LOADING
        }
    };
}
</script>

<style lang="scss">
.img-hexagon {
    clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
    width: 70px;
    height: 70px;
    position: relative;
}
.hexagon span {
    position: absolute;
    display: block;
    border-left: 100px solid red;
    border-right: 100px solid red;
    width: 200px;
}
.top {
    top: 0;
    border-bottom: 173px solid transparent;
}
.bottom {
    bottom: 0;
    border-top: 173px solid transparent;
}

.svg-hexagon {
    position: fixed;
    background-size: 20px 30px;
}
</style>
